TELLDIR(3)

NAME
telldir - return current location in directory stream

SYNOPSIS
#include <dirent.h>

off_t telldir(DIR *dir);

DESCRIPTION
The telldir() function returns the current location associated with the directory stream dir.

RETURN VALUE
On success, the telldir() function returns the current location in the directory stream. On error, -1 is returned, and errno is set appropriately.

ERRORS

EBADF
    Invalid directory stream descriptor dir.

CONFORMING TO
4.3BSD, POSIX.1-2001.

SEE ALSO
closedir(3), opendir(3), readdir(3), rewinddir(3), scandir(3), seekdir(3)